package com.artfess.workflow.bpmModel.manager;

import com.artfess.base.manager.BaseManager;
import com.artfess.workflow.bpmModel.model.BpmDeputy;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 流程代理管理
 * <pre> 
 * 描述：bpm_deputy 处理接口
 * 构建组：x7
 * @author zhaoxy
 * @company 阿特菲斯信息技术有限公司
 * @email zhxy@jee-soft.cn
 * @date 2019-02-18 09:46
 * </pre>
 */
public interface BpmDeputyManager extends BaseManager<BpmDeputy> {
	/**
	 * 根据代理人获取代理记录
	 * @param agentId
	 * @return
	 */
	List<BpmDeputy> getByAgentId(@Param("agentId") String agentId);
	/**
	 * 根据被代理人获取代理记录
	 * @param agentId
	 * @return
	 */
	BpmDeputy getByUserId(@Param("userId") String userId);
}
